Invest for Excel® - System Requirements - DataPartner Software

Invest for Excel® - System Requirements

  • Microsoft Excel 2007, 2010, 2013 or 2016, 32 or 64 bit or Office 365 Desktop.
  • Microsoft Windows Vista, 7, 8, 8.1 or 10, 32 or 64 bit

 

 

 

 



      Bookmark and Share